import 'dart:convert';

import 'package:http/http.dart' as http;

class FlutterStrapi {
  late String server;
  init(urlServer) {
    server = urlServer;
  }

  loginStrapi(email, password, successFunc, problemFunc) async {
    print(server);
    try {
      final response = await http.post(Uri.parse("$server/api/auth/local"),
          body: {'identifier': email, 'password': password});
      var decodeData = await json.decode(response.body);
      if (response.statusCode == 200) {
        successFunc();
        return true;
      } else {
        print(decodeData);
        problemFunc();
        return false;
      }
    } catch (e) {
      problemFunc();
      print(e);

      return false;
    }
  }
}
